Bug 956737 - (recoverjpeg) Review Request: recoverjpeg - Recover jpeg pictures and mov movies from damaged devices
Review Request: recoverjpeg - Recover jpeg pictures and mov movies from damag...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Markus Mayer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-04-25 10:03 EDT by Christopher Meng
Modified: 2013-11-22 03:50 EST (History)
7 users (show)

See Also:
Fixed In Version: recoverjpeg-2.2.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 19:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
LotharLutz: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-04-25 10:03:14 EDT
Spec URL: http://cicku.me/recoverjpeg.spec
SRPM URL: http://cicku.me/recoverjpeg-2.2.2-1.fc20.src.rpm
Description: recoverjpeg tries to recover JFIF (JPEG) pictures 
and MOV movies (using recovermov) from a peripheral. 
This may be useful if you mistakenly overwrite a 
partition or if a device such as a digital camera memory card is bogus.
Fedora Account System Username: cicku
Comment 1 Ralf Corsepius 2013-04-29 08:49:44 EDT
2 issues.

One packaging issue:
%configure --prefix=%{_prefix} --mandir=%{_datadir}/man

%configure already sets --prefix/--mandir. The --prefix..--mandir are redundant and should be removed.

One upstream issue:
Makefile.am contains this:
recovermov_LDADD = -lstdc++

libstdc++ is an internal implementation detail of c++, which means c++-compilers will pull it in when needed and also means libstdc++ should not be explictily linked against.
Comment 2 Christopher Meng 2013-04-30 21:45:46 EDT
(In reply to comment #1)

All 2 issues fixed.

New upstream release:

Spec URL: http://cicku.me/recoverjpeg.spec
SRPM URL: http://cicku.me/recoverjpeg-2.2.3-1.fc20.src.rpm
Comment 3 Markus Mayer 2013-05-26 09:52:49 EDT
taking this...

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in
     /home/markus/tmp/review/956737-recoverjpeg/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: recoverjpeg-2.2.3-1.fc17.x86_64.rpm
recoverjpeg.x86_64: E: explicit-lib-dependency libexif
recoverjpeg.x86_64: W: spelling-error Summary(en_US) jpeg -> peg, j peg, Peg
recoverjpeg.x86_64: W: spelling-error Summary(en_US) mov -> mob, mo, move
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Issues:
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
- Please include COPYING withing %doc

[!]: Requires correct, justified where necessary.
[!]: Final provides and requires are sane (see attachments).
- what is the reason for explicit require of libexif? Isn't  '/usr/bin/exif' sufficent
- maybe '/usr/bin/identify' is a better choice then 'Requires: ImageMagick'


[!]: Packages should try to preserve timestamps of original installed files.
- think about using 'install -p'
Comment 4 Christopher Meng 2013-05-26 12:27:14 EDT
Except the identify, I've fixed all at:

Spec URL: http://cicku.me/recoverjpeg.spec
SRPM URL: http://cicku.me/recoverjpeg-2.2.3-2.fc20.src.rpm

Can you tell me advantages of changing to the path of identify for Requires?

Thanks.
Comment 5 Markus Mayer 2013-05-26 13:00:50 EDT
Actually, there two separate issues:
1. Explicit requiring a lib:
In general, when a package requires any lib, rpm recognizes this automatically. So explicit lib requires are unnecessary (and also more error prone than letting rpm do it). (see http://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires for more information)

If I understand it correctly this package does not require libexif (libexif.so), but '/usr/bin/exif' (which is provided by exif). This must be fixed (either by requiring '/usr/bin/exif' or exif).

2. advantages of a file:
- Multiple packages could provide the file
- unaffected by package renames
This is just a suggestion, if you want to require the packages by name I am also fine with it.
Comment 6 Christopher Meng 2013-05-26 22:56:46 EDT
I think I've fixed.

I'll keep imaginemagick instead of /usr/bin/identify.

Please review again in Comment 4, thanks.
Comment 7 Markus Mayer 2013-05-27 05:21:55 EDT
This package is APPROVED
Comment 8 Christopher Meng 2013-05-27 11:00:31 EDT
New Package SCM Request
=======================
Package Name: recoverjpeg
Short Description: Recover jpeg pictures and mov movies from damaged devices
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 9 Jon Ciesla 2013-05-28 11:27:56 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-05-28 21:37:12 EDT
recoverjpeg-2.2.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/recoverjpeg-2.2.3-1.fc18
Comment 11 Fedora Update System 2013-05-28 21:47:35 EDT
recoverjpeg-2.2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/recoverjpeg-2.2.3-1.fc19
Comment 12 Fedora Update System 2013-05-29 13:43:38 EDT
recoverjpeg-2.2.3-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 13 Fedora Update System 2013-06-07 19:48:25 EDT
recoverjpeg-2.2.3-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2013-06-07 23:37:29 EDT
recoverjpeg-2.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.